Subject: RE: [mobile-ip] Handover Smoothing - What to Do?

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 27 Jul 2001 18:20:24 +0200

Hello Charlie, 

> >         - A solution for the problem has been around for nearly
> >         2 years. How much more time is needed ? We don't
> >         need every single one to set up experiments. This rule was never
> >         followed in other drafts. Many people are accepting
> >         the approach and it is suggested as an option.
> >         Furthermore, the option is already in RFC2002 for
> >         MIPv4 why is v6 any different ?
> >         I think we should be consistent with this because there is
> >         nothing v6 specific here.
> 
> A lot of solutions have been around for more than two years, and
> still not standardized.  That is almost totally irrelevant.
> Some of them have engendered dozens or even hundreds (?) of research
> papers and many implementations, and still no action by the
> working group.  I hope you wouldn't continue to use that as any
> relevant criterion.
> 
	=> The point is that there has been time to assess the solution. 
	There are certainly many solutions that never get used 
	but reasons would be great. That's what I'd like to focus 
	on.  

> The existence of the 'S' bit in RFC 2002 has never (to my knowledge)
> been tested for interoperability.  My guess is that the same issues
> which in my opinion plague bicasting would also plague the use of
> the 'S' bit from RFC 2002.  
> 
	=> I disagree, it was never used because there was no use
	for it up until the low latency draft proposed a use. I'm 
	sure it will be more popular now. In  fact I know of 
	an implementation that used it and I pointed a reference
	in a previous mail.

> What is specific about IPv6 is that it has been specified for use
> with 3G telephony standards as the appropriate network-layer protocol
> and address space.  That makes a lot of things matter in a way that
> was not true for IPv4.  In fact, it has motivated a lot of the work
> on fast handovers.
> 
	=> That's a deployment issue not a technical one. The 3G telephone 
	standards that use IPv6 have not even specified a use for MIPv6.
	My point is there are no technical reasons for allowing it in 
	one version and not the other. If I interpret what you're
	saying above I think it tells me "there are more people who
	care about IPv6 now and therefore not considering the IPv4
	low laetncy draft". That pleases me a lot but it's still not 
	a technical reason.

> We have published work showing that duplicate packets CAN harm
> TCP connections if the interference is done systemically, or
> if it is done too often.  I still have it as a work item to reconcile
> your claims otherwise with our experience.  
> 
	=> Great, I'd be very interested in a pointer. 

> However, given the volume
> of fires that need to be put out right away, not to mention the volume
> of mail on these lists (!!), I've been unable to make that study.
> So I can only rely on our previous work and my strong intuition to
> continue to suggest extreme caution when proceeding to introduce
> systemic duplication in IP-based network connectivity.
> 
	=> Duplication is not new to the Internet. If you're basing this
	on your studies I'd appreciate a pointer to a paper or a report. 
	I might find that our claims are completely bogus, but 
	some proof would be good.

> >> I would appreciate taking it out of the IPv4 draft,
> >> but I haven't had time to study that document so I
> >> have not made any comments.
> > >
> >         => Sure. I look forward to your comments, but the question
> >         on the agenda will be whether the draft should go for last
> >         call             ..............
> >          We need something concrete as to whether a solution is
> >         good or bad and why.
> 
> What I might consider to be concrete may still be considered
> vague or inconclusive by you or anyone else, and vice versa.> 
> 
	=> Hence the beauty of concensus. It doesn't matter what 
	I think if enough people agree. I'll continue to disagree though
	till I find a proof for being wrong and would then be happy 
	to withdraw my support for the proposal.

	Regards,
	Hesham

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 27 Jul 2001 09:22:01 -0700

> 	low laetncy draft". That pleases me a lot but it's still not 

Not a technical reason, as well as completely false. Please remember
that there are two (2) 3G organizations. Both of you seem to be ignoring 
the one that's actually using the stacks developed in this WG.

PatC